[AddOn v1.43/v1.64] Advanced Machines V3.2 Beta 2


  • Go through all the config files in you .minecraft directory TREE. Write down all the block id's that are currently allocated to different mod. Find one id between 140 and 255 that isn't allocated. Use that id for this block.


  • Go through all the config files in you .minecraft directory TREE. Write down all the block id's that are currently allocated to different mod. Find one id between 140 and 255 that isn't allocated. Use that id for this block.


    None of the ID's you told me to use worked. Is there any way to make it so these blocks don't have IDs?

  • None of the ID's you told me to use worked. Is there any way to make it so these blocks don't have IDs?


    every block has a id =/ just take the .zip out of the mods folder then go ingame and use TMI or NEI and look around 88 and 89 for any skips in numbers(a example being chunkloader block being 89 and then u having 83-88 open) which u will can then add advanced machines blocks(which all three are one ID)to 87 and then add the solar arrays to 88. problem solved with the end result being solar arrays=88 and advanced machines=87



    (with chunkloader block(from additional pipes) being 89

  • That doesn't seem to be the problem. If it's over a block ID that is already used, the error will say 'ID in use'. When I use an ID that isn't used, it gives me the same error I originally got.

  • The mod works fine for single player, but when I tried to update the server, well... I got this, and I've already tossed in MineCraft Forge 1.2.5
    Thoughts? Or should I post more of the error message? This seemed like the most important part.


    Caused by: java.lang.RuntimeException: IndustrialCraft 2 Advanced Machines addon: MinecraftForge Too Old, need at least 1.2.4

  • The mod works fine for single player, but when I tried to update the server, well... I got this, and I've already tossed in MineCraft Forge 1.2.5
    Thoughts? Or should I post more of the error message? This seemed like the most important part.


    Caused by: java.lang.RuntimeException: IndustrialCraft 2 Advanced Machines addon: MinecraftForge Too Old, need at least 1.2.4

    The 3.2 beta version is SINGLE PLAYER ONLY at the moment.
    As stated in the first post. Wait a few days and the multyplayer version wil be up.
    Just keep checking this topic.

  • The 3.2 beta version is SINGLE PLAYER ONLY at the moment.
    As stated in the first post. Wait a few days and the multyplayer version wil be up.
    Just keep checking this topic.


    yep refreshing every hour at mo, this is all we need to be update our server lol
    the wait is rather painful hoping its sooner then later

  • The 3.2 beta version is SINGLE PLAYER ONLY at the moment.
    As stated in the first post. Wait a few days and the multyplayer version wil be up.
    Just keep checking this topic.

    Still running on 1.0.0 and using the 3.1.1 addon.

  • I'm getting this error, i know it isn't a block ID error and i have yet to seen this before. Can anyone shed any light on it?



    Disregard i fixed it

  • Looks like he's already got it, from the error report. More likely part of the cause, than a solution.

    Provided you update your individual mod/addon config files with the new block id's and then delete the IDResolverknownIDs.properties file to let it search again without causing conflicts with the updated configs it works with damn near every mod, I've yet to have things get swapped around for me yet. The only thing I fear is having an item ID get changed and not being able to update it in the mods configuration file, but I'll cross that bridge when I get to it tbqh

  • I seem to be getting a strange error not ID related.
    Mods installed if needed.


    Code
    1. java.lang.VerifyError: (class: mod_IC2AdvancedMachines, method: getGuiFor signature: (Lvi;ILbq;)Lxe;) Wrong return type in function at java.lang.Class.getDeclaredFields0(Native Method) at java.lang.Class.privateGetDeclaredFields(Unknown Source) at java.lang.Class.getDeclaredFields(Unknown Source) at ModLoader.setupProperties(ModLoader.java:1728) at ModLoader.addMod(ModLoader.java:268) at ModLoader.readFromModFolder(ModLoader.java:1305) at ModLoader.init(ModLoader.java:820) at ModLoader.AddAllRenderers(ModLoader.java:189) at afq.(afq.java:80) at afq.(afq.java:9) at net.minecraft.client.Minecraft.a(SourceFile:265) at net.minecraft.client.Minecraft.run(SourceFile:648) at java.lang.Thread.run(Unknown Source)--- END ERROR REPORT 1b5d242f ----------

    </init>

  • Hello,


    I've tried to install this mod but haven't gotten MC 1.1 to identify it yet. I'm attempting to install mod_advancedmachines-3.2-beta-2-Client.zip and I'm using IC 2 v 1.64 and buildcraft v 3.1.3. I'm also utilizing Modloader, ModloaderMP 1.1 v2, and Forge 1.3.2.3.


    I placed the advancedmachines .zip file in my mods directory. The game starts fine with no errors or id conflicts but while in a world the recipes aren't recognized. I also can't see any config file in the /config directory. Any help would be greatly appreciated.

  • Hello,


    I've tried to install this mod but haven't gotten MC 1.1 to identify it yet. I'm attempting to install mod_advancedmachines-3.2-beta-2-Client.zip and I'm using IC 2 v 1.64 and buildcraft v 3.1.3. I'm also utilizing Modloader, ModloaderMP 1.1 v2, and Forge 1.3.2.3.


    I placed the advancedmachines .zip file in my mods directory. The game starts fine with no errors or id conflicts but while in a world the recipes aren't recognized. I also can't see any config file in the /config directory. Any help would be greatly appreciated.

    Try renaming the file with a 'z' in front. Sounds like a loading issue.

  • Hmmm... look into your ModLoader.txt, problems that don't crash MC usually show up there.


    Are those the only mods your using?

  • Hmmm... look into your ModLoader.txt, problems that don't crash MC usually show up there.


    Are those the only mods your using?

    Found out the problem....I was installing the mod into my backup .minecraft folder not the live directory :pinch: Installing it the live /mods directory and it appears to be working fine now. There goes 5 hours of my life troubleshooting a problem that didn't really exist. Move along...nothing to see here...only a dumbass. ;(